Merge pyjwt from Debian unstable for 22.04

Bug #1946889 reported by Bryce Harrington
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pyjwt (Ubuntu)
Undecided
Miriam España Acebal

Bug Description

Upstream: 2.2.0
Debian: 2.1.0-1
Ubuntu: 1.7.1-2ubuntu2

### New Debian Changes ###

pyjwt (2.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Daniele Tricoli ]
  * New upstream version 2.1.0. (Closes: #989637)
  * Drop man page since upstream dropped CLI entrypoint.
  * debian/changelog
    - Format changelog to not go over 80 columns.
  * debian/control
    - Bump debhelper compatibility to 13.
    - Bump Standards-Version to 4.5.1 (no changes needed).
  * debian/copyright
    - Update copyright years.
  * debian/NEWS
    - Add news entry about dropped CLI.
  * debian/tests/python3-jwt
    - Use supported python versions during tests.
  * debian/watch
    - Bump d/watch version to 4.

 -- Daniele Tricoli <email address hidden> Fri, 20 Aug 2021 02:13:42 +0200

pyjwt (1.7.1-2) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937463

 -- Sandro Tosi <email address hidden> Sat, 26 Oct 2019 20:17:32 -0400

pyjwt (1.7.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Daniele Tricoli ]
  * New upstream release. (Closes: #942241)
  * Use my Debian email address.
  * debian/control
    - Bump debhelper-compat to 12.
    - Bump Standards-Version to 4.4.1 (no changes needed).
  * debian/copyright
    - Update copyright years.
  * debian/patches/0001-Fix-tests-to-work-with-pytest-3.9.0.patch
    - Drop since no needed anymore.

 -- Daniele Tricoli <email address hidden> Tue, 22 Oct 2019 02:58:08 +0200

pyjwt (1.7.0-2) unstable; urgency=medium

  * debian/tests/control
    - Wrap Depends.
    - Bump python{,3}-pytest version to >= 3.9.0.

 -- Daniele Tricoli <email address hidden> Thu, 13 Dec 2018 02:09:40 +0100

pyjwt (1.7.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Daniele Tricoli ]
  * New upstream release.
  * debian/control
    - Bump python{,3}-pytest version to >= 3.9.0 in Build-Depends.
    - Bump Standards-Version to 4.2.1 (no changes needed).
  * debian/patches
    - Add 0001-Fix-tests-to-work-with-pytest-3.9.0.patch. (Closes: #915200)
  * debian/pyjwt.1
    - Update release date.

 -- Daniele Tricoli <email address hidden> Mon, 03 Dec 2018 01:52:54 +0100

pyjwt (1.6.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Daniele Tricoli ]
  * New upstream release.
  * No need to repack upstream tarball since bytecode is not included anymore.
  * Update debhelper compat level to 11.
  * debian/clean
    - Add .pytest_cache.
  * debian/control
    - Bump python-all to >= 2.7 since upstream dropped Python 2.6 support.
    - Bump Standards-Version to 4.1.5 (no changes needed).

### Old Ubuntu Delta ###

pyjwt (1.7.1-2ubuntu2) focal; urgency=medium

  * Drop Python 2 package.
    - There is no remaining changes compared to the Debian packaging.

 -- Jeremy Bicha <email address hidden> Sun, 05 Apr 2020 19:07:35 -0400

pyjwt (1.7.1-2ubuntu1) focal; urgency=medium

  * Restore python2 support, two many Ubuntu only dependencies.
  * Don't test the python2 build, because Python2 test dependencies
    are already removed.

 -- Matthias Klose <email address hidden> Tue, 07 Jan 2020 18:11:09 +0100

Changed in pyjwt (Ubuntu):
assignee: nobody → Miriam España Acebal (mirespace)
Bryce Harrington (bryce)
description: updated
Changed in pyjwt (Ubuntu):
milestone: none → ubuntu-21.11
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers